%define upstream_name    String-TtyLength
%define upstream_version 0.03

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 2

Summary:    Calculate length of string excluding ANSI tty codes
License:    GPLv1+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://www.cpan.org/modules/by-module/String/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Exporter)
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(Test2::V0)
BuildRequires: perl(Unicode::EastAsianWidth) >= 12.0.0
BuildRequires: perl(parent)
BuildRequires: perl(strict)
BuildRequires: perl(utf8)
BuildRequires: perl(warnings)
BuildArch:  noarch

%description
This module provides a single function, 'tty_length', which returns the
length of a string excluding any ANSI tty / terminal escape codes. I.e. the
number of characters that will appear on screen. This is useful if you're
working out the width of columns, or aligning text.

tty_length( STRING )
    Takes a single string, and returns the length of the string, excluding
    any escape sequences.

    Note: the escape sequences could include cursor movement, so the length
    returned by this function might not be the number of characters that
    would be visible on screen. But
    'length_of_string_excluding_escape_sequences()' was just too long.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor

%make_build

%check
%make_build test

%install
%make_install

%files
%doc Changes LICENSE META.json META.yml MYMETA.yml README
%{_mandir}/man3/*
%perl_vendorlib/*

%changelog
* Mon Mar 21 2022 umeabot <umeabot> 0.30.0-2.mga9
+ Revision: 1814426
- Mageia 9 Mass Rebuild

* Tue May 04 2021 tv <tv> 0.30.0-1.mga9
+ Revision: 1721207
- update to 0.03

* Mon Sep 14 2020 tv <tv> 0.20.0-1.mga8
+ Revision: 1626148
- update to 0.02

* Wed Sep 09 2020 tv <tv> 0.10.0-1.mga8
+ Revision: 1623774
- imported package perl-String-TtyLength


* Wed Sep 09 2020 cpan2dist 0.01-1mga
- initial mageia release, generated with cpan2dist
